How to Install mplayer in Linux Ubuntu 19.04 Operating System

Posted on

Introduction

Another article for displaying a specific content about software installation. The software for the installation process is the ‘mplayer’. According to the manual page of the ‘mplayer’ tool, mplayer is an abbreviation of ‘movie player’. So, it is a tool or a program for plyaing movie with various movie format. The following are steps for installing that tool or program in a machine with Linux Ubuntu 19.04 exist in it as the operating system.

1. First of all, switch to root account for installing the package. It is a must since the previlege for software installation is in the hands of root, admin or super user account. For the installation command, it can also use ‘sudo’ command to enable any users with permission to execute it. It exists as follows :

sudo su -

The above command execution for switching to root or super user account exist as follows as an example :

user@localhost:~$ sudo su - 
[sudo] password for user: 
root@localhost:~#  

2. After successfully switch to user ‘root’ accoont, just execute the following command for installing mplayer in Linux Ubuntu 19.04 :

apt-get -y install mplayer mplayer-gui mplayer-skins

Using the ‘apt-get’ where in the manual page, it is a tool that acts as an APT package handling utility in Ubuntu Linux distribution family, it is very useful for managing package installation. The following is the execution of the above command :

root@localhost:~# apt-get -y install mplayer mplayer-gui mplayer-skins
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  fonts-liberation2 fonts-opensymbol gir1.2-geocodeglib-1.0 gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-gudev-1.0 gir1.2-udisks-2.0 grilo-plugins-0.3-base gstreamer1.0-gtk3 guile-2.2-libs
  libboost-date-time1.67.0 libboost-filesystem1.67.0 libboost-iostreams1.67.0 libboost-locale1.67.0 libcdr-0.1-1 libclucene-contribs1v5 libclucene-core1v5 libcmis-0.5-5v5 libcolamd2 libdazzle-1.0-0
  libe-book-0.1-1 libeot0 libepubgen-0.1-1 libetonyek-0.1-1 libevent-2.1-6 libfreerdp-client2-2 libfreerdp2-2 libgc1c2 libgee-0.8-2 libgom-1.0-0 libgpgmepp6 libgpod-common libgpod4 liblangtag-common
  liblangtag1 liblua5.3-0 libmediaart-2.0-0 libminiupnpc17 libmspub-0.1-1 libodfgen-0.1-1 liborcus-0.14-0 libqqwing2v5 libraw19 librevenge-0.0-0 libsgutils2-2 libsuitesparseconfig5 libvncclient1
  libwinpr2-2 libxmlsec1 libxmlsec1-nss lp-solve media-player-info python3-mako python3-markupsafe syslinux syslinux-common syslinux-legacy usb-creator-common
Use 'apt autoremove' to remove them.t. 
The following additional packages will be installed:
  i965-va-driver intel-media-va-driver liba52-0.7.4 libaacs0 libaom0 libass9 libaudio2 libavcodec58 libavformat58 libavutil56 libbdplus0 libbluray2 libbs2b0 libchromaprint1 libcodec2-0.8.1 libcrystalhd3
  libdca0 libdirectfb-1.7-7 libdvdnav4 libdvdread4 libenca0 libfaad2 libgail-common libgail18 libgme0 libgsm1 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libigdgmm5 libmad0 libmpeg2-4 libopenal-data
  libopenal1 libopenjp2-7 libopenmpt0 libpostproc55 libshine3 libsnappy1v5 libsndio7.0 libssh-gcrypt-4 libswresample3 libswscale5 libva-drm2 libva-x11-2 libva2 libvdpau1 libvorbisidec1 libx264-155
  libx265-165 libxvidcore4 libzvbi-common libzvbi0 mesa-va-drivers mesa-vdpau-drivers va-driver-all vdpau-driver-all
Suggested packages:
  i965-va-driver-shaders nas libbluray-bdj firmware-crystalhd libdirectfb-extra libdvdcss2 libportaudio2 sndiod mplayer-doc netselect | fping libvdpau-va-gl1 nvidia-vdpau-driver
  nvidia-legacy-340xx-vdpau-driver nvidia-legacy-304xx-vdpau-driver
The following NEW packages will be installed:
  i965-va-driver intel-media-va-driver liba52-0.7.4 libaacs0 libaom0 libass9 libaudio2 libavcodec58 libavformat58 libavutil56 libbdplus0 libbluray2 libbs2b0 libchromaprint1 libcodec2-0.8.1 libcrystalhd3
  libdca0 libdirectfb-1.7-7 libdvdnav4 libdvdread4 libenca0 libfaad2 libgail-common libgail18 libgme0 libgsm1 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libigdgmm5 libmad0 libmpeg2-4 libopenal-data
  libopenal1 libopenjp2-7 libopenmpt0 libpostproc55 libshine3 libsnappy1v5 libsndio7.0 libssh-gcrypt-4 libswresample3 libswscale5 libva-drm2 libva-x11-2 libva2 libvdpau1 libvorbisidec1 libx264-155
  libx265-165 libxvidcore4 libzvbi-common libzvbi0 mesa-va-drivers mesa-vdpau-drivers mplayer mplayer-gui mplayer-skins va-driver-all vdpau-driver-all
0 upgraded, 60 newly installed, 0 to remove and 2 not upgraded.
Need to get 14,0 MB/25,4 MB of archives.
After this operation, 130 MB of additional disk space will be used.
Get:1 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 intel-media-va-driver amd64 18.4.1+dfsg1-2ubuntu1 [974 kB]
Get:2 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libaacs0 amd64 0.9.0-2 [50,1 kB]
Get:3 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libaudio2 amd64 1.9.4-6 [50,3 kB]
Get:4 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libbdplus0 amd64 0.1.2-3 [47,3 kB]
Get:5 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libdirectfb-1.7-7 amd64 1.7.7-8 [953 kB]
Get:6 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libdvdnav4 amd64 6.0.0-1 [38,0 kB]
Get:7 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libenca0 amd64 1.19-1 [54,0 kB]
Get:8 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libfaad2 amd64 2.8.8-1 [154 kB]
Get:9 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/main amd64 libgtk2.0-common all 2.24.32-3ubuntu1 [125 kB]
Get:10 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/main amd64 libgtk2.0-0 amd64 2.24.32-3ubuntu1 [1.777 kB]
Get:11 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/main amd64 libgail18 amd64 2.24.32-3ubuntu1 [14,4 kB]
Get:12 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/main amd64 libgail-common amd64 2.24.32-3ubuntu1 [114 kB]                                                                                                 
Get:13 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/main amd64 libgtk2.0-bin amd64 2.24.32-3ubuntu1 [7.740 B]                                                                                                 
Get:14 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libmad0 amd64 0.15.1b-9ubuntu18.10.1 [62,9 kB]                                                                                             
Get:15 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libopenal-data all 1:1.19.1-1 [162 kB]                                                                                                     
Get:16 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libsndio7.0 amd64 1.5.0-3 [24,5 kB]                                                                                                        
Get:17 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco-updates/universe amd64 mesa-va-drivers amd64 19.0.8-0ubuntu0~19.04.1 [1.967 kB]                                                                           
Get:18 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco-updates/main amd64 mesa-vdpau-drivers amd64 19.0.8-0ubuntu0~19.04.1 [2.095 kB]                                                                            
Get:19 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libdca0 amd64 0.0.6-1 [91,0 kB]                                                                                                            
Get:20 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libopenal1 amd64 1:1.19.1-1 [492 kB]                                                                                                       
Get:21 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 libvorbisidec1 amd64 1.2.1+git20180316-3 [72,7 kB]                                                                                         
Get:22 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 mplayer amd64 2:1.3.0-8build3 [2.246 kB]                                                                                                   
Get:23 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/multiverse amd64 mplayer-skins all 3.2build1 [252 kB]                                                                                                     
Get:24 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 mplayer-gui amd64 2:1.3.0-8build3 [1.283 kB]                                                                                               
Get:25 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 i965-va-driver amd64 2.3.0-0ubuntu2 [927 kB]                                                                                               
Get:26 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/universe amd64 va-driver-all amd64 2.4.0-1 [4.376 B]                                                                                                      
Get:27 http://xxxxxxxxxxxxxxxxxxxxx/ubuntu disco/main amd64 vdpau-driver-all amd64 1.1.1-8ubuntu1 [4.684 B]                                                                                                
Fetched 14,0 MB in 15s (925 kB/s)                                                                                                                                                                          
Extracting templates from packages: 100%
Selecting previously unselected package libva2:amd64.
(Reading database ... 160680 files and directories currently installed.)
Preparing to unpack .../00-libva2_2.4.0-1_amd64.deb ...
Unpacking libva2:amd64 (2.4.0-1) ...
Selecting previously unselected package libigdgmm5:amd64.
Preparing to unpack .../01-libigdgmm5_18.4.1+ds1-1_amd64.deb ...
Unpacking libigdgmm5:amd64 (18.4.1+ds1-1) ...
Selecting previously unselected package intel-media-va-driver:amd64.
Preparing to unpack .../02-intel-media-va-driver_18.4.1+dfsg1-2ubuntu1_amd64.deb ...
Unpacking intel-media-va-driver:amd64 (18.4.1+dfsg1-2ubuntu1) ...
Selecting previously unselected package liba52-0.7.4:amd64.
Preparing to unpack .../03-liba52-0.7.4_0.7.4-19_amd64.deb ...
Unpacking liba52-0.7.4:amd64 (0.7.4-19) ...
Selecting previously unselected package libaacs0:amd64.
Preparing to unpack .../04-libaacs0_0.9.0-2_amd64.deb ...
Unpacking libaacs0:amd64 (0.9.0-2) ...
Selecting previously unselected package libaom0:amd64.
Preparing to unpack .../05-libaom0_1.0.0-3_amd64.deb ...
Unpacking libaom0:amd64 (1.0.0-3) ...
Selecting previously unselected package libass9:amd64.
Preparing to unpack .../06-libass9_1%3a0.14.0-2_amd64.deb ...
Unpacking libass9:amd64 (1:0.14.0-2) ...
Selecting previously unselected package libaudio2:amd64.
Preparing to unpack .../07-libaudio2_1.9.4-6_amd64.deb ...
Unpacking libaudio2:amd64 (1.9.4-6) ...
Selecting previously unselected package libva-drm2:amd64.
Preparing to unpack .../08-libva-drm2_2.4.0-1_amd64.deb ...
Unpacking libva-drm2:amd64 (2.4.0-1) ...
Selecting previously unselected package libva-x11-2:amd64.
Preparing to unpack .../09-libva-x11-2_2.4.0-1_amd64.deb ...
Unpacking libva-x11-2:amd64 (2.4.0-1) ...
Selecting previously unselected package libvdpau1:amd64.
Preparing to unpack .../10-libvdpau1_1.1.1-8ubuntu1_amd64.deb ...
Unpacking libvdpau1:amd64 (1.1.1-8ubuntu1) ...
Selecting previously unselected package libavutil56:amd64.
Preparing to unpack .../11-libavutil56_7%3a4.1.3-0ubuntu1_amd64.deb ...
Unpacking libavutil56:amd64 (7:4.1.3-0ubuntu1) ...
Selecting previously unselected package libcodec2-0.8.1:amd64.
Preparing to unpack .../12-libcodec2-0.8.1_0.8.1-2_amd64.deb ...
Unpacking libcodec2-0.8.1:amd64 (0.8.1-2) ...
Selecting previously unselected package libcrystalhd3:amd64.
Preparing to unpack .../13-libcrystalhd3_1%3a0.0~git20110715.fdd2f19-13_amd64.deb ...
Unpacking libcrystalhd3:amd64 (1:0.0~git20110715.fdd2f19-13) ...
Selecting previously unselected package libgsm1:amd64.
Preparing to unpack .../14-libgsm1_1.0.18-2_amd64.deb ...
Unpacking libgsm1:amd64 (1.0.18-2) ...
Selecting previously unselected package libopenjp2-7:amd64.
Preparing to unpack .../15-libopenjp2-7_2.3.0-2build0.19.04.1_amd64.deb ...
Unpacking libopenjp2-7:amd64 (2.3.0-2build0.19.04.1) ...
Selecting previously unselected package libshine3:amd64.
Preparing to unpack .../16-libshine3_3.1.1-2_amd64.deb ...
Unpacking libshine3:amd64 (3.1.1-2) ...
Selecting previously unselected package libsnappy1v5:amd64.
Preparing to unpack .../17-libsnappy1v5_1.1.7-1_amd64.deb ...
Unpacking libsnappy1v5:amd64 (1.1.7-1) ...
Selecting previously unselected package libswresample3:amd64.
Preparing to unpack .../18-libswresample3_7%3a4.1.3-0ubuntu1_amd64.deb ...
Unpacking libswresample3:amd64 (7:4.1.3-0ubuntu1) ...
Selecting previously unselected package libx264-155:amd64.
Preparing to unpack .../19-libx264-155_2%3a0.155.2917+git0a84d98-2_amd64.deb ...
Unpacking libx264-155:amd64 (2:0.155.2917+git0a84d98-2) ...
Selecting previously unselected package libx265-165:amd64.
Preparing to unpack .../20-libx265-165_2.9-4_amd64.deb ...
Unpacking libx265-165:amd64 (2.9-4) ...
Selecting previously unselected package libxvidcore4:amd64.
Preparing to unpack .../21-libxvidcore4_2%3a1.3.5-1_amd64.deb ...
Unpacking libxvidcore4:amd64 (2:1.3.5-1) ...
Selecting previously unselected package libzvbi-common.
Preparing to unpack .../22-libzvbi-common_0.2.35-16_all.deb ...
Unpacking libzvbi-common (0.2.35-16) ...
Selecting previously unselected package libzvbi0:amd64.
Preparing to unpack .../23-libzvbi0_0.2.35-16_amd64.deb ...
Unpacking libzvbi0:amd64 (0.2.35-16) ...
Selecting previously unselected package libavcodec58:amd64.
Preparing to unpack .../24-libavcodec58_7%3a4.1.3-0ubuntu1_amd64.deb ...
Unpacking libavcodec58:amd64 (7:4.1.3-0ubuntu1) ...
Selecting previously unselected package libbluray2:amd64.
Preparing to unpack .../25-libbluray2_1%3a1.1.0-1_amd64.deb ...
Unpacking libbluray2:amd64 (1:1.1.0-1) ...
Selecting previously unselected package libchromaprint1:amd64.
Preparing to unpack .../26-libchromaprint1_1.4.3-3_amd64.deb ...
Unpacking libchromaprint1:amd64 (1.4.3-3) ...
Selecting previously unselected package libgme0:amd64.
Preparing to unpack .../27-libgme0_0.6.2-1_amd64.deb ...
Unpacking libgme0:amd64 (0.6.2-1) ...
Selecting previously unselected package libopenmpt0:amd64.
Preparing to unpack .../28-libopenmpt0_0.4.3-1_amd64.deb ...
Unpacking libopenmpt0:amd64 (0.4.3-1) ...
Selecting previously unselected package libssh-gcrypt-4:amd64.
Preparing to unpack .../29-libssh-gcrypt-4_0.8.6-3ubuntu0.3_amd64.deb ...
Unpacking libssh-gcrypt-4:amd64 (0.8.6-3ubuntu0.3) ...
Selecting previously unselected package libavformat58:amd64.
Preparing to unpack .../30-libavformat58_7%3a4.1.3-0ubuntu1_amd64.deb ...
Unpacking libavformat58:amd64 (7:4.1.3-0ubuntu1) ...
Selecting previously unselected package libbdplus0:amd64.
Preparing to unpack .../31-libbdplus0_0.1.2-3_amd64.deb ...
Unpacking libbdplus0:amd64 (0.1.2-3) ...
Selecting previously unselected package libdirectfb-1.7-7:amd64.
Preparing to unpack .../32-libdirectfb-1.7-7_1.7.7-8_amd64.deb ...
Unpacking libdirectfb-1.7-7:amd64 (1.7.7-8) ...
Selecting previously unselected package libdvdread4:amd64.
Preparing to unpack .../33-libdvdread4_6.0.1-1_amd64.deb ...
Unpacking libdvdread4:amd64 (6.0.1-1) ...
Selecting previously unselected package libdvdnav4:amd64.
Preparing to unpack .../34-libdvdnav4_6.0.0-1_amd64.deb ...
Unpacking libdvdnav4:amd64 (6.0.0-1) ...
Selecting previously unselected package libenca0:amd64.
Preparing to unpack .../35-libenca0_1.19-1_amd64.deb ...
Unpacking libenca0:amd64 (1.19-1) ...
Selecting previously unselected package libfaad2:amd64.
Preparing to unpack .../36-libfaad2_2.8.8-1_amd64.deb ...
Unpacking libfaad2:amd64 (2.8.8-1) ...
Selecting previously unselected package libgtk2.0-common.
Preparing to unpack .../37-libgtk2.0-common_2.24.32-3ubuntu1_all.deb ...
Unpacking libgtk2.0-common (2.24.32-3ubuntu1) ...
Selecting previously unselected package libgtk2.0-0:amd64.
Preparing to unpack .../38-libgtk2.0-0_2.24.32-3ubuntu1_amd64.deb ...
Unpacking libgtk2.0-0:amd64 (2.24.32-3ubuntu1) ...
Selecting previously unselected package libgail18:amd64.
Preparing to unpack .../39-libgail18_2.24.32-3ubuntu1_amd64.deb ...
Unpacking libgail18:amd64 (2.24.32-3ubuntu1) ...
Selecting previously unselected package libgail-common:amd64.
Preparing to unpack .../40-libgail-common_2.24.32-3ubuntu1_amd64.deb ...
Unpacking libgail-common:amd64 (2.24.32-3ubuntu1) ...
Selecting previously unselected package libgtk2.0-bin.
Preparing to unpack .../41-libgtk2.0-bin_2.24.32-3ubuntu1_amd64.deb ...
Unpacking libgtk2.0-bin (2.24.32-3ubuntu1) ...
Selecting previously unselected package libmad0:amd64.
Preparing to unpack .../42-libmad0_0.15.1b-9ubuntu18.10.1_amd64.deb ...
Unpacking libmad0:amd64 (0.15.1b-9ubuntu18.10.1) ...
Selecting previously unselected package libmpeg2-4:amd64.
Preparing to unpack .../43-libmpeg2-4_0.5.1-8_amd64.deb ...
Unpacking libmpeg2-4:amd64 (0.5.1-8) ...
Selecting previously unselected package libopenal-data.
Preparing to unpack .../44-libopenal-data_1%3a1.19.1-1_all.deb ...
Unpacking libopenal-data (1:1.19.1-1) ...
Selecting previously unselected package libpostproc55:amd64.
Preparing to unpack .../45-libpostproc55_7%3a4.1.3-0ubuntu1_amd64.deb ...
Unpacking libpostproc55:amd64 (7:4.1.3-0ubuntu1) ...
Selecting previously unselected package libsndio7.0:amd64.
Preparing to unpack .../46-libsndio7.0_1.5.0-3_amd64.deb ...
Unpacking libsndio7.0:amd64 (1.5.0-3) ...
Selecting previously unselected package libswscale5:amd64.
Preparing to unpack .../47-libswscale5_7%3a4.1.3-0ubuntu1_amd64.deb ...
Unpacking libswscale5:amd64 (7:4.1.3-0ubuntu1) ...
Selecting previously unselected package mesa-va-drivers:amd64.
Preparing to unpack .../48-mesa-va-drivers_19.0.8-0ubuntu0~19.04.1_amd64.deb ...
Unpacking mesa-va-drivers:amd64 (19.0.8-0ubuntu0~19.04.1) ...
Selecting previously unselected package mesa-vdpau-drivers:amd64.
Preparing to unpack .../49-mesa-vdpau-drivers_19.0.8-0ubuntu0~19.04.1_amd64.deb ...
Unpacking mesa-vdpau-drivers:amd64 (19.0.8-0ubuntu0~19.04.1) ...
Selecting previously unselected package libbs2b0:amd64.
Preparing to unpack .../50-libbs2b0_3.1.0+dfsg-2.2_amd64.deb ...
Unpacking libbs2b0:amd64 (3.1.0+dfsg-2.2) ...
Selecting previously unselected package libdca0:amd64.
Preparing to unpack .../51-libdca0_0.0.6-1_amd64.deb ...
Unpacking libdca0:amd64 (0.0.6-1) ...
Selecting previously unselected package libopenal1:amd64.
Preparing to unpack .../52-libopenal1_1%3a1.19.1-1_amd64.deb ...
Unpacking libopenal1:amd64 (1:1.19.1-1) ...
Selecting previously unselected package libvorbisidec1.
Preparing to unpack .../53-libvorbisidec1_1.2.1+git20180316-3_amd64.deb ...
Unpacking libvorbisidec1 (1.2.1+git20180316-3) ...
Selecting previously unselected package mplayer.
Preparing to unpack .../54-mplayer_2%3a1.3.0-8build3_amd64.deb ...
Unpacking mplayer (2:1.3.0-8build3) ...
Selecting previously unselected package mplayer-skins.
Preparing to unpack .../55-mplayer-skins_3.2build1_all.deb ...
Unpacking mplayer-skins (3.2build1) ...
Selecting previously unselected package mplayer-gui.
Preparing to unpack .../56-mplayer-gui_2%3a1.3.0-8build3_amd64.deb ...
Unpacking mplayer-gui (2:1.3.0-8build3) ...
Selecting previously unselected package i965-va-driver:amd64.
Preparing to unpack .../57-i965-va-driver_2.3.0-0ubuntu2_amd64.deb ...
Unpacking i965-va-driver:amd64 (2.3.0-0ubuntu2) ...
Selecting previously unselected package va-driver-all:amd64.
Preparing to unpack .../58-va-driver-all_2.4.0-1_amd64.deb ...
Unpacking va-driver-all:amd64 (2.4.0-1) ...
Selecting previously unselected package vdpau-driver-all:amd64.
Preparing to unpack .../59-vdpau-driver-all_1.1.1-8ubuntu1_amd64.deb ...
Unpacking vdpau-driver-all:amd64 (1.1.1-8ubuntu1) ...
Setting up libgme0:amd64 (0.6.2-1) ...
Setting up libssh-gcrypt-4:amd64 (0.8.6-3ubuntu0.3) ...
Setting up libigdgmm5:amd64 (18.4.1+ds1-1) ...
Setting up libshine3:amd64 (3.1.1-2) ...
Setting up libgsm1:amd64 (1.0.18-2) ...
Setting up libx264-155:amd64 (2:0.155.2917+git0a84d98-2) ...
Setting up libvorbisidec1 (1.2.1+git20180316-3) ...
Setting up libx265-165:amd64 (2.9-4) ...
Setting up libenca0:amd64 (1.19-1) ...
Setting up mplayer-skins (3.2build1) ...
Setting up libaom0:amd64 (1.0.0-3) ...
Setting up libcodec2-0.8.1:amd64 (0.8.1-2) ...
Setting up libdvdread4:amd64 (6.0.1-1) ...
Setting up libcrystalhd3:amd64 (1:0.0~git20110715.fdd2f19-13) ...
Setting up libmpeg2-4:amd64 (0.5.1-8) ...
Setting up libxvidcore4:amd64 (2:1.3.5-1) ...
Setting up libsnappy1v5:amd64 (1.1.7-1) ...
Setting up liba52-0.7.4:amd64 (0.7.4-19) ...
Setting up libass9:amd64 (1:0.14.0-2) ...
Setting up libva2:amd64 (2.4.0-1) ...
Setting up libfaad2:amd64 (2.8.8-1) ...
Setting up intel-media-va-driver:amd64 (18.4.1+dfsg1-2ubuntu1) ...
Setting up libaacs0:amd64 (0.9.0-2) ...
Setting up libaudio2:amd64 (1.9.4-6) ...
Setting up libsndio7.0:amd64 (1.5.0-3) ...
Setting up libbdplus0:amd64 (0.1.2-3) ...
Setting up libmad0:amd64 (0.15.1b-9ubuntu18.10.1) ...
Setting up libva-drm2:amd64 (2.4.0-1) ...
Setting up libvdpau1:amd64 (1.1.1-8ubuntu1) ...
Setting up libbs2b0:amd64 (3.1.0+dfsg-2.2) ...
Setting up libdca0:amd64 (0.0.6-1) ...
Setting up libopenjp2-7:amd64 (2.3.0-2build0.19.04.1) ...
Setting up libopenal-data (1:1.19.1-1) ...
Setting up libgtk2.0-common (2.24.32-3ubuntu1) ...
Setting up mesa-va-drivers:amd64 (19.0.8-0ubuntu0~19.04.1) ...
Setting up libbluray2:amd64 (1:1.1.0-1) ...
Setting up libdirectfb-1.7-7:amd64 (1.7.7-8) ...
Setting up libva-x11-2:amd64 (2.4.0-1) ...
Setting up libopenmpt0:amd64 (0.4.3-1) ...
Setting up libzvbi-common (0.2.35-16) ...
Setting up i965-va-driver:amd64 (2.3.0-0ubuntu2) ...
Setting up libdvdnav4:amd64 (6.0.0-1) ...
Setting up mesa-vdpau-drivers:amd64 (19.0.8-0ubuntu0~19.04.1) ...
Setting up libzvbi0:amd64 (0.2.35-16) ...
Setting up libgtk2.0-0:amd64 (2.24.32-3ubuntu1) ...
Setting up libopenal1:amd64 (1:1.19.1-1) ...
Setting up libavutil56:amd64 (7:4.1.3-0ubuntu1) ...
Setting up va-driver-all:amd64 (2.4.0-1) ...
Setting up libpostproc55:amd64 (7:4.1.3-0ubuntu1) ...
Setting up libgail18:amd64 (2.24.32-3ubuntu1) ...
Setting up vdpau-driver-all:amd64 (1.1.1-8ubuntu1) ...
Setting up libgtk2.0-bin (2.24.32-3ubuntu1) ...
Setting up libswscale5:amd64 (7:4.1.3-0ubuntu1) ...
Setting up libgail-common:amd64 (2.24.32-3ubuntu1) ...
Setting up libswresample3:amd64 (7:4.1.3-0ubuntu1) ...
Setting up libavcodec58:amd64 (7:4.1.3-0ubuntu1) ...
Setting up libchromaprint1:amd64 (1.4.3-3) ...
Setting up libavformat58:amd64 (7:4.1.3-0ubuntu1) ...
Setting up mplayer (2:1.3.0-8build3) ...
Setting up mplayer-gui (2:1.3.0-8build3) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
Processing triggers for libc-bin (2.29-0ubuntu2) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
root@localhost:~# 

3. Last but not least, execute the command ‘mplayer’ to prove that the ‘mplayer’ tool or program exist. In other words, the execution command for installing mplayer is a success. The following is the execution of it :

usere@localhost:~$ mplayer
Creating config file: /home/user/.mplayer/config
MPlayer 1.3.0 (Debian), built with gcc-8 (C) 2000-2016 MPlayer Team
Usage:   mplayer [options] [url|path/]filename

Basic options: (complete list in the man page)
 -vo         select video output driver ('-vo help' for a list)
 -ao         select audio output driver ('-ao help' for a list)
 vcd://  play (S)VCD (Super Video CD) track (raw device, no mount)
 dvd://  play DVD title from device instead of plain file
 -alang/-slang    select DVD audio/subtitle language (by 2-char country code)
 -ss    seek to given (seconds or hh:mm:ss) position
 -nosound         do not play sound
 -fs              fullscreen playback (or -vm, -zoom, details in the man page)
 -x  -y     set display resolution (for use with -vm or -zoom)
 -sub       specify subtitle file to use (also see -subfps, -subdelay)
 -playlist  specify playlist file
 -vid x -aid y    select video (x) and audio (y) stream to play
 -fps x -srate y  change video (x fps) and audio (y Hz) rate
 -pp     enable postprocessing filter (details in the man page)
 -framedrop       enable frame dropping (for slow machines)

Basic keys: (complete list in the man page, also check input.conf)
 <- or ->       seek backward/forward 10 seconds
 down or up       seek backward/forward  1 minute
 pgdown or pgup   seek backward/forward 10 minutes
 < or >           step backward/forward in playlist
 p or SPACE       pause movie (press any key to continue)
 q or ESC         stop playing and quit program
 + or -           adjust audio delay by +/- 0.1 second
 o                cycle OSD mode:  none / seekbar / seekbar + timer
 * or /           increase or decrease PCM volume
 x or z           adjust subtitle delay by +/- 0.1 second
 r or t           adjust subtitle position up/down, also see -vf expand

 * * * SEE THE MAN PAGE FOR DETAILS, FURTHER (ADVANCED) OPTIONS AND KEYS * * *

user@localhost:~$ 

Leave a Reply